IIncludeFileLocator (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cpp.epoc.engine.preprocessor.IIncludeFileLocator interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cpp.epoc.engine.preprocessor
Interface IIncludeFileLocator

All Known Implementing Classes:
  com.nokia.carbide.internal.api.cpp.epoc.engine.preprocessor.BasicIncludeFileLocator, DefaultIncludeFileLocator

    public interface IIncludeFileLocator

This interface provides a means to look up include files using normal C/C++ semantics

Method Summary
`java.io.File` | `findIncludeFile(java.lang.String file, boolean isUser, java.io.File currentDir)` Look up a file on the include paths
`java.io.File[]` | `getSystemPaths()` Get the array of system include paths searched.
`java.io.File[]` | `getUserPaths()` Get the array of user include paths searched.

Method Detail

### findIncludeFile

    java.io.File findIncludeFile(java.lang.String file,
                                 boolean isUser,
                                 java.io.File currentDir)

  Look up a file on the include paths

  Parameters:
    `file` - the filename
    `isUser` - true: #include "...", false: #include <...>
    `currentDir` - if not null, the current directory and implicit first directory to search
  Returns:
    the located file, or null; the file is a key to ITranslationUnitProvider.

### getUserPaths

    java.io.File[] getUserPaths()

  Get the array of user include paths searched.

  Returns:
    array,never null

### getSystemPaths

    java.io.File[] getSystemPaths()

  Get the array of system include paths searched.

  Returns:
    array,never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD